#
# spec file for package perl-Text-BibTeX
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define cpan_name Text-BibTeX
Name:           perl-Text-BibTeX
Version:        0.72
Release:        2.11
Summary:        Interface to read and parse BibTeX files
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Text-BibTeX/
Source0:        http://www.cpan.org/authors/id/A/AM/AMBS/%{cpan_name}-%{version}.tar.gz
Patch0:         Text-BibTeX-rpmlint.patch
Patch2:         perl-Text-BibTeX-uninit.patch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Capture::Tiny) >= 0.06
BuildRequires:  perl(Config::AutoConf) >= 0.16
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.27
BuildRequires:  perl(ExtUtils::LibBuilder) >= 0.02
BuildRequires:  perl(Module::Build) >= 0.360300
BuildRequires:  perl(Scalar::Util) >= 1.42
Requires:       perl(Scalar::Util) >= 1.42
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
The 'Text::BibTeX' module serves mainly as a high-level introduction to the
'Text::BibTeX' library, for both code and documentation purposes. The code
loads the two fundamental modules for processing BibTeX files
('Text::BibTeX::File' and 'Text::BibTeX::Entry'), and this documentation
gives a broad overview of the whole library that isn't available in the
documentation for the individual modules that comprise it.

In addition, the 'Text::BibTeX' module provides a number of miscellaneous
functions that are useful in processing BibTeX data (especially the kind
that comes from bibliographies as defined by BibTeX 0.99, rather than
generic database files). These functions don't generally fit in the
object-oriented class hierarchy centred around the 'Text::BibTeX::Entry'
class, mainly because they are specific to bibliographic data and operate
on generic strings (rather than being tied to a particular BibTeX entry).
These are also documented here, in the "MISCELLANEOUS FUNCTIONS" manpage.

Note that every module described here begins with the 'Text::BibTeX'
prefix. For brevity, I have dropped this prefix from most class and module
names in the rest of this manual page (and in most of the other manual
pages in the library).

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0
%patch2 -p1
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
export CFLAGS='%{optflags}'
export CC=gcc
perl Build.PL installdirs=vendor optimize="%{optflags}"
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README README.OLD scripts THANKS
%{_libdir}/libbtparse.so

%changelog
* Tue May 31 2016 pjanouch@suse.de
- updated to 0.72
  see /usr/share/doc/packages/perl-Text-BibTeX/Changes
  0.72 2016-04-19
  * Added clone() method to Text::BibTeX::Entry
  0.71 2015-05-28
  * Fix segmentation fault when btparse fails parsing a long
    entry. Thanks to Dale Evans.
  * Stop using UNIVERSAL (5.21.3 requirement).
    Thanks to Jitka Plesnikova
- removed perl-Text-BibTeX-libdir.patch since it's been upstreamed
* Fri Sep 19 2014 coolo@suse.com
- updated to 0.70
  * Added metadata for metacpan
* Fri Jun 20 2014 schwab@linux-m68k.org
- perl-Text-BibTeX-uninit.patch: Fix use of unitialized memory
- update to 0.69
  * Replacement for islower() which understands all Unicode 6.2.0
    chars with "LOWERCASE" property
  * Fixes for UTF-8 handling of combining marks
* Sun Mar  3 2013 schwab@suse.de
- Add aarch64 to the list of lib64 platforms
* Mon Dec 10 2012 ro@suse.de
- fix libdir for s390x as well
- update to 0.66
  * Fix a segmentation fault with strcat and no string limit
  * Patch to support @ and ~ in names
  * Patch to expand macro size limit
* Fri May 25 2012 dvaleev@suse.com
- fix ppc64 libdir
* Mon May 21 2012 werner@suse.de
- Make perl-Text-BibTeX from devel:languages:perl:CPAN-T build for
  Factory that is make it build and survive rpmlint
- Do not forget the libbtparse.so as this is required
